#
# spec file for package acroread (Version 7.0.1)
#
# Copyright (c) 2005 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# norootforbuild
# neededforbuild  ed update-desktop-files x-devel-packages
# usedforbuild    aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-devel pam-modules patch permissions popt ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel XFree86-devel XFree86-libs autoconf automake binutils cracklib ed fontconfig fontconfig-devel gcc gdbm gettext libtool perl rpm update-desktop-files

Name:         acroread
URL:          http://www.adobe.com/products/acrobat/readermain.html
License:      Commercial, Other License(s), see package
Group:        Productivity/Publishing/PDF
Provides:     linux-ar 
Autoreqprov:  on
Summary:      Acrobat Reader for PDF files
# the Source is ftp://ftp.adobe.com/pub/adobe/reader/unix/7x/7.0/enu/AdbeRdr70_linux_enu.tar.gz
Source:       AdbeRdr701_linux_enu.tar.bz2
Patch0:       install.dif
# this Version is reported when calling "acroread -version"
Version:      7.0.1
Release:      3
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
%define my_provides /tmp/my-provides
%define my_requires /tmp/my-requires
%define INSTALL_DIR /usr/X11R6/lib/Acrobat7
%prep
# unpack the Source into a suitable directory
# there is the top-level directory "AdobeReader" in the source archive
%setup -n AdobeReader
# apply Patch0 to skip the "OutputLicense" dialog in the INSTALL script
%patch0
# retrieve the gif for desktop
tar -xvf COMMON.TAR Resource/Icons/AdobeReader.png

%build
# there is nothing to build as this package is a binary-only package

%install
# skip the automated stripping because this damages some functionality
# for example a stripped AcroForm.api can no longer fill in forms
# see bug 28717 for details
export NO_BRP_STRIP_DEBUG="true"
# stuff to be done before the installation
chmod 644 LICREAD.TXT README
rm -rf $RPM_BUILD_ROOT
# do the installation
./INSTALL <<EOT
$RPM_BUILD_ROOT%INSTALL_DIR
y
EOT
# stuff to be done after the installation
# move the executable to a directory which is in the PATH
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/bin
mv $RPM_BUILD_ROOT%INSTALL_DIR/bin/acroread $RPM_BUILD_ROOT/usr/X11R6/bin
rm -rf $RPM_BUILD_ROOT%INSTALL_DIR/bin
# set the correct install_dir in /usr/X11R6/bin/acroread
# to be safe to note changes in new versions do a test before
grep -q '^install_dir=' $RPM_BUILD_ROOT/usr/X11R6/bin/acroread || exit 1
sed -i -e 's:^install_dir=.*$:install_dir="/usr/X11R6/lib/Acrobat7/Reader":' $RPM_BUILD_ROOT/usr/X11R6/bin/acroread
# add a link for the browser plugin so that it can be found automatically
mkdir -p $RPM_BUILD_ROOT/usr/lib/browser-plugins
ln -sf %INSTALL_DIR/Browser/intellinux/nppdf.so $RPM_BUILD_ROOT/usr/lib/browser-plugins/nppdf.so
# make the Adobe Reader available in the SUSE menues
%suse_update_desktop_file -i %name Office Viewer
echo "InitialPreference=7" >> $RPM_BUILD_ROOT/usr/share/applications/%name.desktop
# massage provides and requires lists
cat << EOF > %{my_provides}
grep -vE "Reader/intellinux/lib/libcurl|Reader/intellinux/lib/liblber|Reader/intellinux/lib/libldap|Reader/intellinux/lib/libssl|Reader/intellinux/lib/libcrypto"  | %{__find_provides}
EOF
chmod 755 %{my_provides}
%define __find_provides %{my_provides}
cat << EOF > %{my_requires}
grep -vE "Reader/intellinux/lib/libcurl|Reader/intellinux/lib/liblber|Reader/intellinux/lib/libldap|Reader/intellinux/lib/libssl|Reader/intellinux/lib/libcrypto" | %{__find_requires}
EOF
chmod 755 %{my_requires}
%define __find_requires %{my_requires}
# install the acroread icon for desktop
install -d $RPM_BUILD_ROOT/usr/share/pixmaps
install -m644 Resource/Icons/AdobeReader.png $RPM_BUILD_ROOT/usr/share/pixmaps/acroread.png

%clean
rm -rf $RPM_BUILD_ROOT
rm -f %{my_provides}
rm -f %{my_requires}

%files
%defattr(-,root,root)
/usr/share/pixmaps/acroread.png

%INSTALL_DIR
/usr/X11R6/bin/acroread
/usr/lib/browser-plugins/nppdf.so
%doc LICREAD.TXT README
/usr/share/applications/%name.desktop

%description
Normally the Acrobat Reader is used to display PDF files on the screen.
For this purpose at least the minimum graphical system must be
installed (i.e. the packages which provide the "xf86" capability). In
this case the command "acroread file.pdf" can be used to display a PDF
file when the X Window System (X11) is up and running. For example use
"acroread /usr/X11R6/lib/Acrobat5/Reader/help/reader.pdf" to display
the "Adobe Acrobat Help for Unix".

But the Acrobat Reader can also be used as PDF to PostScript converter.
For this purpose no graphical system is required. For example the
command "acroread -toPostScript -size a4 -shrink <file.pdf >file.ps"
can be used to convert a PDF file into a PostScript file which could be
sent directly to a PostScript printer. The command "acroread -helpall"
shows all command line options.

Please note that on the one hand the Acrobat Reader is often the only
program which is able to process complicated PDF files but on the other
hand there are security leaks which we cannot fix because it is no open
source. An alternative to display and convert PDF files is Ghostscript
with the graphical frontends "gv" and "kghostview" (for KDE).



Authors:
--------
    Adobe Systems Incorporated


%changelog -n acroread
* Thu Aug 18 2005 - ghorlacher@suse.de
- Updating to version 7.0.1 for security issue. bug 105054
* Fri Jul 08 2005 - ghorlacher@suse.de
- Updating 9.1 9.2 sles9 with version 7 for bug 95350 - security issue
* Thu Jun 23 2005 - ghorlacher@suse.de
- Added back acroread.png extracting the gif from their COMMON.TAR
  file and then installing it to usr/share/pixmaps
* Fri Apr 08 2005 - ghorlach@suse.de
- Removed /usr/share/pixmaps/acroread.png from install section for NLD
  Which does not ahve the suse_update_desktop_file setup for this.
* Wed Mar 30 2005 - jsmeix@suse.de
- Added "norootforbuild".
* Wed Mar 16 2005 - ro@suse.de
- block provides and requires for internal-only copies of
  system libraries
* Wed Mar 16 2005 - jsmeix@suse.de
- Updated to Adobe Reader 7.0.0 RC1
* Thu Dec 16 2004 - jsmeix@suse.de
- Update to version 5.010 which has a security fix that solves
  a problem with malformed mail containing pdf attachments
  (see SUSE bugzilla bug #49257).
* Wed Nov 17 2004 - jsmeix@suse.de
- included the icon /usr/share/pixmaps/acroread.png
  which is installed by %%suse_update_desktop_file
* Wed Aug 04 2004 - jsmeix@suse.de
- Update to version 5.09
* Sun Sep 07 2003 - adrian@suse.de
- raise priority of acroread on pdf files
* Thu Sep 04 2003 - mfabian@suse.de
- unset LC_ALL in start script because Acroread still dumped
  core when LC_ALL was set to an UTF-8 locale
  (see also Bugzilla #28718).
* Mon Aug 18 2003 - jsmeix@suse.de
- Add preun section because of the following reason:
  If Acrobat Reader is run by root then a file ...Font/AdobeFnt*
  is created. This file contains the actual font list of Acrobat
  Reader's fonts. As the actual hostname becomes part of the
  filename it must be deleted by using a wildcard.
* Mon Aug 18 2003 - ro@suse.de
- export NO_BRP_STRIP_DEBUG
* Sat Aug 16 2003 - adrian@suse.de
- install desktop file from kappfinder
* Mon Aug 11 2003 - jsmeix@suse.de
- Removed install_dir.patch because it is version dependend
  as RPM_BUILD_ROOT has the version included.
  Now it is done by in-place changing (using "perl -pi ...")
  $RPM_BUILD_ROOT/usr/X11R6/bin/acroread
* Mon Aug 11 2003 - jsmeix@suse.de
- Security update to version 5.08 from
  ftp://ftp.adobe.com/pub/adobe/acrobatreader/unix/5.x/linux-508.tar.gz
  Reason:
  A security patch was applied that solves a problem reported
  with long URLs in weblinks which can cause a buffer overrun.
  See
  http://www.heise.de/security/news/meldung/38468
  and
  bugzilla.suse.de bug number 27666
* Tue Aug 05 2003 - mfabian@suse.de
- use LC_CTYPE=POSIX, otherwise acroread will dump core when
  started with LC_CTYPE set to an UTF-8 locale, for example:
  "LANG=en_US.UTF-8 LC_CTYPE=ja_JP.UTF-8 acroread"
* Thu Jun 26 2003 - ro@suse.de
- mention install_dir.patch  as patch in specfile
- don't use literal RPM_SOURCE_DIR in specfile
* Thu Jun 26 2003 - jsmeix@suse.de
- added install_dir.patch because "use BuildRoot" sets
  RPM_BUILD_ROOT=/var/tmp/acroread-5.07-build
  which leads to the wrong install_dir setting.
* Tue Jun 24 2003 - jsmeix@suse.de
- Security update to version 5.0.7 from
  http://download.adobe.com/pub/adobe/acrobatreader/unix/5.x/linux-507.tar.gz
  Reason:
  It was possible to execute shell commands which are included
  in links in PDF files because the reader executes in this case
  "sh -c <program> <embedded link>" - see
  http://www.heise.de/newsticker/data/dab-16.06.03-000/
* Tue Jun 03 2003 - coolo@suse.de
- use BuildRoot
* Mon Feb 24 2003 - ro@suse.de
- move plugin link to /usr/lib/browser-plugins
* Mon Aug 19 2002 - tsieden@suse.de
- security update to version 5.06
* Tue Jun 11 2002 - tsieden@suse.de
- update to version 5.05, cleanup spec file
* Tue Mar 19 2002 - ro@suse.de
- added symlink in /opt/netscape/plugins
* Thu Dec 06 2001 - mfabian@suse.de
- use LC_NUMERIC=POSIX to make really sure that buildtin fonts
  are found.
* Sat Dec 09 2000 - nashif@suse.de
- sorted group
* Tue May 09 2000 - ro@suse.de
- use english LANG for acroread to make it find builtin fonts
* Wed Mar 29 2000 - ro@suse.de
- fixed access rights for documentation (#2637)
* Thu Feb 24 2000 - freitag@suse.de
- update to version 4.05, nppdf insert again, works with Netscape
* Fri Jan 14 2000 - ro@suse.de
- removed nppdf.so until we finally get a glibc-based version
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Sun Aug 22 1999 - bs@suse.de
- added Check
* Fri Aug 20 1999 - uli@suse.de
- fixed Netscape paths
* Tue Jun 22 1999 - uli@suse.de
- update -> 4.0
* Thu Jan 07 1999 - uli@suse.de
- update 3.01 -> 3.02
- now makes use of Adobe-supplied install script
* Tue Nov 11 1997 - ro@suse.de
- new version 3.01
  installs under /usr/X11R6/lib/Acrobat3
  start script in /usr/X11R6/bin/acroread
